summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-x.github/workflows/archlinux.sh2
-rwxr-xr-x.github/workflows/debian.sh2
-rwxr-xr-x.github/workflows/fedora.sh4
-rwxr-xr-x.github/workflows/ubuntu.sh2
-rw-r--r--configure.ac2
5 files changed, 10 insertions, 2 deletions
diff --git a/.github/workflows/archlinux.sh b/.github/workflows/archlinux.sh
index 84e63fd..72dbd40 100755
--- a/.github/workflows/archlinux.sh
+++ b/.github/workflows/archlinux.sh
@@ -1,5 +1,7 @@
#!/usr/bin/bash
+set -eo pipefail
+
# Use grouped output messages
infobegin() {
echo "::group::${1}"
diff --git a/.github/workflows/debian.sh b/.github/workflows/debian.sh
index 6c4dba6..ab5f506 100755
--- a/.github/workflows/debian.sh
+++ b/.github/workflows/debian.sh
@@ -1,5 +1,7 @@
#!/usr/bin/bash
+set -eo pipefail
+
# Use grouped output messages
infobegin() {
echo "::group::${1}"
diff --git a/.github/workflows/fedora.sh b/.github/workflows/fedora.sh
index edcc9af..1c37d5a 100755
--- a/.github/workflows/fedora.sh
+++ b/.github/workflows/fedora.sh
@@ -1,5 +1,7 @@
#!/usr/bin/bash
+set -eo pipefail
+
# Use grouped output messages
infobegin() {
echo "::group::${1}"
@@ -20,7 +22,7 @@ requires+=(
git
make
mate-common
- pygobject3-devel
+ python3-gobject-devel
python3-devel
redhat-rpm-config
)
diff --git a/.github/workflows/ubuntu.sh b/.github/workflows/ubuntu.sh
index 08f0af7..534c4ef 100755
--- a/.github/workflows/ubuntu.sh
+++ b/.github/workflows/ubuntu.sh
@@ -1,5 +1,7 @@
#!/usr/bin/bash
+set -eo pipefail
+
# Use grouped output messages
infobegin() {
echo "::group::${1}"
diff --git a/configure.ac b/configure.ac
index 78f5c87..724063e 100644
--- a/configure.ac
+++ b/configure.ac
@@ -8,7 +8,7 @@ AC_SUBST(VERSION)
AM_INIT_AUTOMAKE(1.10 dist-xz no-dist-gzip check-news)
m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
AC_CONFIG_HEADERS(config.h)
-AC_CONFIG_MACRO_DIR([m4])
+AC_CONFIG_MACRO_DIRS([m4])
MATE_COMPILE_WARNINGS